"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.identify = void 0;
const parser_1 = require("./parser");
const defines_1 = require("./defines");
/**
 * Identifier
 */
function identify(query, options = {}) {
    const isStrict = typeof options.strict === 'undefined' ? true : options.strict === true;
    const dialect = typeof options.dialect === 'undefined' ? 'generic' : options.dialect;
    if (!defines_1.DIALECTS.includes(dialect)) {
        throw new Error(`Unknown dialect. Allowed values: ${defines_1.DIALECTS.join(',')}`);
    }
    const result = parser_1.parse(query, isStrict, dialect);
    return result.body.map((statement) => ({
        start: statement.start,
        end: statement.end,
        text: query.substring(statement.start, statement.end + 1),
        type: statement.type,
        executionType: statement.executionType,
    }));
}
exports.identify = identify;
